Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1171231 - Review Request: nodejs-object-assign - ES6 Object.assign() ponyfill
Summary: Review Request: nodejs-object-assign - ES6 Object.assign() ponyfill
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1171236
TreeView+ depends on / blocked
 
Reported: 2014-12-05 17:10 UTC by Parag Nemade
Modified: 2015-01-06 18:59 UTC (History)
2 users (show)

Fixed In Version: nodejs-object-assign-2.0.0-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-22 09:12:26 UTC
piotr1212: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2014-12-05 17:10:46 UTC
Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/nodejs-object-assign.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/nodejs-object-assign-2.0.0-1.fc21.src.rpm
Description: 
ES6 Object.assign() ponyfill

Fedora Account System Username: pnemade

Comment 1 Piotr Popieluch 2014-12-07 13:52:47 UTC
builds and installs fine. APPROVED

suggestion:
You could download and include tests from upstream.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/piotr/rpmbuild/nodejs-object-
     assign/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-object-assign-2.0.0-1.fc21.noarch.rpm
          nodejs-object-assign-2.0.0-1.fc21.src.rpm
nodejs-object-assign.noarch: W: spelling-error Summary(en_US) ponyfill -> pony fill, pony-fill, ponytail
nodejs-object-assign.noarch: W: spelling-error %description -l en_US ponyfill -> pony fill, pony-fill, ponytail
nodejs-object-assign.noarch: W: only-non-binary-in-usr-lib
nodejs-object-assign.src: W: spelling-error Summary(en_US) ponyfill -> pony fill, pony-fill, ponytail
nodejs-object-assign.src: W: spelling-error %description -l en_US ponyfill -> pony fill, pony-fill, ponytail
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-object-assign
nodejs-object-assign.noarch: W: spelling-error Summary(en_US) ponyfill -> pony fill, pony-fill, ponytail
nodejs-object-assign.noarch: W: spelling-error %description -l en_US ponyfill -> pony fill, pony-fill, ponytail
nodejs-object-assign.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-object-assign (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-object-assign:
    nodejs-object-assign
    npm(object-assign)



Source checksums
----------------
http://registry.npmjs.org/object-assign/-/object-assign-2.0.0.tgz :
  CHECKSUM(SHA256) this package     : d90a4c4967e8b606d91e4117961a57becc4cf004c597c6bf85045bbc3e0c5812
  CHECKSUM(SHA256) upstream package : d90a4c4967e8b606d91e4117961a57becc4cf004c597c6bf85045bbc3e0c5812
https://raw.githubusercontent.com/sindresorhus/object-assign/master/license :
  CHECKSUM(SHA256) this package     : 6fb9754611c20f6649f68805e8c990e83261f29316e29de9e6cedae607b8634c
  CHECKSUM(SHA256) upstream package : 6fb9754611c20f6649f68805e8c990e83261f29316e29de9e6cedae607b8634c


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review --rpm-spec -n SRPMS/nodejs-object-assign-2.0.0-1.fc21.src.rpm
Buildroot used: fedora-21-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Parag Nemade 2014-12-07 14:47:00 UTC
Thanks for your suggestion. Added test from upstream now.

Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/nodejs-object-assign.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/nodejs-object-assign-2.0.0-2.fc21.src.rpm

Comment 3 Parag Nemade 2014-12-07 14:51:58 UTC
Thank you for this review.

New Package SCM Request
=======================
Package Name: nodejs-object-assign
Short Description: ES6 Object.assign() ponyfill
Upstream URL: https://github.com/sindresorhus/object-assign
Owners: pnemade
Branches: f19 f20 f21 el6 epel7
InitialCC:

Comment 4 Jens Petersen 2014-12-22 08:14:23 UTC
Git done (by process-git-requests).

Comment 5 Parag Nemade 2014-12-22 09:12:26 UTC
Built in rawhide therefore closing.

Comment 6 Fedora Update System 2014-12-22 09:44:00 UTC
nodejs-object-assign-2.0.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-object-assign-2.0.0-2.fc21

Comment 7 Fedora Update System 2014-12-22 09:50:39 UTC
nodejs-object-assign-2.0.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-object-assign-2.0.0-2.fc20

Comment 8 Fedora Update System 2014-12-22 09:58:25 UTC
nodejs-object-assign-2.0.0-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-object-assign-2.0.0-2.el7

Comment 9 Fedora Update System 2014-12-22 10:13:02 UTC
nodejs-object-assign-2.0.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-object-assign-2.0.0-2.el6

Comment 10 Fedora Update System 2015-01-01 08:56:08 UTC
nodejs-object-assign-2.0.0-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 11 Fedora Update System 2015-01-01 08:56:59 UTC
nodejs-object-assign-2.0.0-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2015-01-06 18:59:21 UTC
nodejs-object-assign-2.0.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 13 Fedora Update System 2015-01-06 18:59:59 UTC
nodejs-object-assign-2.0.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.